Lifted texts: 

[wikt](https://en.wiktionary.org/wiki/entelechy): 

> From Late Latin entelechia, from Ancient Greek ἐντελέχεια (entelékheia), coined by Aristotle from ἐντελής (entelḗs, “complete, finished, perfect”) (from τέλος (télos, “end, fruition, accomplishment”)) + ἔχω (ékhō, “to have”).

[wiki](https://en.wikipedia.org/wiki/Potentiality_and_actuality#Entelechy_(entelechia)): 

> Entelecheia, as can be seen by its derivation, is a kind of completeness, whereas "the end and completion of any genuine being is its being-at-work" (energeia). The entelecheia is a continuous being-at-work (energeia) when something is doing its complete "work". For this reason, the meanings of the two words converge, and they both depend upon the idea that every thing's "thinghood" is a kind of work, or in other words a specific way of being in motion. All things that exist now, and not just potentially, are beings-at-work, and all of them have a tendency towards being-at-work in a particular way that would be their proper and "complete" way.

[sep](https://plato.stanford.edu/entries/aristotle-metaphysics/#ActuPote), using "actuality" for entelechy: 

> Things that come to be move toward an end (telos)—the boy becomes a man, the acorn becomes an oak—and “the activity is the end, and it is for the sake of this that the capacity [or potentiality] is acquired. For animals do not see in order that they may have sight, rather they have sight in order that they may see … matter is potentially something because it may come in the form of it—at any rate, when it is actively something, then it is in the form of it” (1050a9–17). Form or actuality is the end toward which natural processes are directed. Actuality is therefore a cause in more than one sense of a thing’s realizing its potential.


I'm pretty sure that I could sit and think about [this](https://en.wikipedia.org/wiki/Potentiality_and_actuality#Motion) for a while: 

> So the motion of building is the actualization of "the buildable" and not the actualization of a house as such, nor the actualization of any other possibility which the building materials might have had.