[david r. maciver](https://notebook.drmaciver.com/posts/2020-02-16-14:22.html), whom I found via [barnsworth burning](#barnsworth burning):

> ...int),
but it was still annoying.<em>
The core problem that causes all of this is that there's a leaky pipeline of knowledge from epistemic communities to the outside world.  
In order for you to discover a piece of knowledge:  
> It has to be interesting enough for someone to think it is worth writing down.  
It has to be interesting enough that it gets accepted (though if not, it may end up on a random blog post if you're lucky).  
It has to be interesting or well organised enough that it gets surfaced in a way you can find.  
It has to be accessible enough for you to be able to find it (e.g. it can't use super technical terms that you'll have no way to ever discover without access to an expert).  
> This pipeline is leaky enough that it would be very surprising if most knowledge produced by an epistemic community were accessible to you.  
This may not seem like a big deal when you think of communities like mathematics, where most consumers of its contents are also members of the community, but it's a big deal when you consider two things:  
> Everything is like this, including subjects that everyone would benefit from. I read a lot of therapy books for example and I'll bet that there's at least two orders of magnitude more ghost knowledge about therapy than I have access to.  
Every community is an epistemic community. Many lessons are e.g. learned over and over again inside companies, and are never written down anywhere, or when they are are so defanged that nobody can benefit from them. The pipeline is different, but the problem is the same.  
> Given this, we are surrounded by ghosts:  
The information that is written down and that we can access is so thin on the ground compared to what's actually out there,  
it's astonishing that we ever get anything done.</em>

> Copyright David R. MacIver.
...